GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

Overview
Core Concepts
    Events, contracts, and outcomesCombo contracts
Market Data
    OverviewFetching Markets
    Ticker formats
      OverviewCryptoSportsSports Market TaxonomyCommoditiesWeather
Trading
    QuickstartOrder lifecycle and settlement
    Full REST reference
      Combo RFQ
      Events
      Volume
      Terms
        Get TermsGet Terms StatusAccept Terms
      Order Management
      Positions
      Rewards
    WebSocket APIs
      OverviewAuthenticationMessage format
      Streams
        Book tickerL2 partial depthL2 differential depthTrade streamOrder eventsBalance updatesPosition updatesContract statusPrediction
      Utility
      Subscriptions
      L2 Data
      Order management
      Combo RFQ
        OverviewWebSocket streamsQuote methodsMaker integrationExamples
Market Makers
    Maker Fee-Free Trading PromoTaker Rewards ProgramMaker Rebate ProgramLiquidity Rewards ProgramMarket Maker Program
Resources
    SchemasDemo environmentRate limitsErrors

Get Terms Status

REST APIsPrediction MarketsTermsGet Terms Status

Get Terms Status

GEThttps://api.gemini.com/v1/prediction-markets/terms/status

Returns whether the authenticated account group has accepted the latest Prediction Markets terms.

GETv1/prediction-markets/terms/status
curl --request GET \
  --url https://api.gemini.com/v1/prediction-markets/terms/status \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>'

Roles

The API key you use to access this endpoint must have the Trader or Auditor role assigned. See Roles for more information.

The OAuth scope must have orders:read assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Authenticated Payload

Sign the private REST payload with

Code
request: "/v1/prediction-markets/terms/status"
and a fresh
Code
nonce
. This endpoint has no endpoint-specific request body.

Responses

Terms acceptance status

hasAcceptedLatestboolean·required
Whether the account group has accepted the latest configured Prediction Markets termsExample: false
acceptedVersioninteger
Latest terms version accepted by the account group, if anyExample: 2
latestVersioninteger
Latest configured Prediction Markets terms version, if availableExample: 3
Example Responses
{
  "hasAcceptedLatest": true,
  "acceptedVersion": 3,
  "latestVersion": 3
}
PreviousGet TermsNextAccept Terms